package com.loafle.overflow.dao.sensor.dao;


import com.loafle.overflow.commons.dao.JPABaseDAO;
import com.loafle.overflow.dao.sensor.model.Sensor;
import com.loafle.overflow.dao.target.model.Target;

import javax.persistence.Query;
import java.util.List;

/**
 * Created by root on 17. 6. 9.
 */
public class JPASensorDao extends JPABaseDAO<Sensor> implements SensorDao {

    public List<Sensor> findAllByTargetId(Target target) {
        Query query = getEntityManager().createNativeQuery("SELECT s.* FROM Sensor s WHERE s.TARGET_ID = :targetId", Sensor.class);
        query.setParameter("targetId", target.getId());

        List<Sensor> sensors = null;
        try {
            sensors = (List<Sensor>)query.getResultList();
        }catch(Exception e) {
            e.printStackTrace();
        }finally {
            return sensors;
        }
    }
}
